Closed Bug 1593447 Opened 8 months ago Closed 8 months ago

Perma Assertion failure: false (COOP+COEP not in webCOOP+COEP process), at /builds/worker/workspace/build/src/dom/base/nsGlobalWindowInner.cpp:2426 when Gecko 72 merges to Beta on 2019-12-02

Categories

(Core :: DOM: Core & HTML, defect, P2)

defect

Tracking

()

VERIFIED FIXED
mozilla72
Tracking Status
firefox-esr68 --- unaffected
firefox70 --- unaffected
firefox71 --- unaffected
firefox72 + verified

People

(Reporter: apavel, Assigned: tt)

References

Details

(Keywords: regression)

Attachments

(1 file)

[Tracking Requested - why for this release]:

Central as Beta simulation

Treeherder link https://treeherder.mozilla.org/logviewer.html#?job_id=274221485&repo=try

Failure log:

[task 2019-11-02T11:49:22.021Z] 11:49:22 INFO - TEST-START | /html/infrastructure/safe-passing-of-structured-data/shared-array-buffers/identity-not-preserved.https.html
[task 2019-11-02T11:49:22.023Z] 11:49:22 INFO - Closing window 25
[task 2019-11-02T11:49:22.181Z] 11:49:22 INFO - PID 16194 | ++DOCSHELL 0x7fb240c79000 == 1 [pid = 16393] [id = {8fe849bb-0cb3-4339-96fb-f56927ed78ec}]
[task 2019-11-02T11:49:22.242Z] 11:49:22 INFO - PID 16194 | ++DOMWINDOW == 1 (0x7fb240c4cf20) [pid = 16393] [serial = 1] [outer = (nil)]
[task 2019-11-02T11:49:22.246Z] 11:49:22 INFO - PID 16194 | ++DOMWINDOW == 2 (0x7fb240ca6400) [pid = 16393] [serial = 2] [outer = 0x7fb240c4cf20]
[task 2019-11-02T11:49:22.326Z] 11:49:22 INFO - PID 16194 | [Child 16359, Main Thread] WARNING: NS_ENSURE_TRUE(!mHasOrHasHadOwnerWindow || mOwnerWindow) failed: file /builds/worker/workspace/build/src/dom/events/DOMEventTargetHelper.cpp, line 318

[task 2019-11-02T11:49:23.065Z] 11:49:23 INFO - PID 16194 | Assertion failure: false (COOP+COEP not in webCOOP+COEP process), at /builds/worker/workspace/build/src/dom/base/nsGlobalWindowInner.cpp:2426
[task 2019-11-02T11:49:24.008Z] 11:49:24 INFO - NoSuchWindowException on command, setting status to CRASH
[task 2019-11-02T11:49:24.008Z] 11:49:24 INFO - mozcrash Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmpxbk9Nz.mozrunner/minidumps/6d61ad50-4c35-80da-dda5-0e73464f5166.dmp /builds/worker/workspace/build/symbols
[task 2019-11-02T11:49:31.908Z] 11:49:31 INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/6d61ad50-4c35-80da-dda5-0e73464f5166.dmp
[task 2019-11-02T11:49:31.930Z] 11:49:31 INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/6d61ad50-4c35-80da-dda5-0e73464f5166.extra
[task 2019-11-02T11:49:32.010Z] 11:49:32 INFO - PROCESS-CRASH | /html/infrastructure/safe-passing-of-structured-data/shared-array-buffers/identity-not-preserved.https.html | application crashed [@ nsGlobalWindowInner::IsCrossOriginIsolated() const]
[task 2019-11-02T11:49:32.010Z] 11:49:32 INFO - Crash dump filename: /tmp/tmpxbk9Nz.mozrunner/minidumps/6d61ad50-4c35-80da-dda5-0e73464f5166.dmp
[task 2019-11-02T11:49:32.010Z] 11:49:32 INFO - Operating system: Linux
[task 2019-11-02T11:49:32.010Z] 11:49:32 INFO - 0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2019-11-02T11:49:32.010Z] 11:49:32 INFO - CPU: amd64
[task 2019-11-02T11:49:32.011Z] 11:49:32 INFO - family 6 model 62 stepping 4
[task 2019-11-02T11:49:32.011Z] 11:49:32 INFO - 4 CPUs
[task 2019-11-02T11:49:32.011Z] 11:49:32 INFO -
[task 2019-11-02T11:49:32.012Z] 11:49:32 INFO - GPU: UNKNOWN
[task 2019-11-02T11:49:32.012Z] 11:49:32 INFO -
[task 2019-11-02T11:49:32.012Z] 11:49:32 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-11-02T11:49:32.013Z] 11:49:32 INFO - Crash address: 0x0
[task 2019-11-02T11:49:32.013Z] 11:49:32 INFO - Process uptime: not available
[task 2019-11-02T11:49:32.014Z] 11:49:32 INFO -
[task 2019-11-02T11:49:32.014Z] 11:49:32 INFO - Thread 0 (crashed)
[task 2019-11-02T11:49:32.014Z] 11:49:32 INFO - 0 libxul.so!nsGlobalWindowInner::IsCrossOriginIsolated() const [nsGlobalWindowInner.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 2426 + 0x29]
[task 2019-11-02T11:49:32.015Z] 11:49:32 INFO - rax = 0x00007fb24e790360 rdx = 0x0000000000000000
[task 2019-11-02T11:49:32.015Z] 11:49:32 INFO - rcx = 0x0000558528de1980 rbx = 0x00007fffdbb27e01
[task 2019-11-02T11:49:32.015Z] 11:49:32 INFO - rsi = 0x00007fb25ac34770 rdi = 0x00007fb25ac33540
[task 2019-11-02T11:49:32.016Z] 11:49:32 INFO - rbp = 0x00007fffdbb27d10 rsp = 0x00007fffdbb27ce0
[task 2019-11-02T11:49:32.016Z] 11:49:32 INFO - r8 = 0x00007fb25ac34770 r9 = 0x00007fb25bc90740
[task 2019-11-02T11:49:32.016Z] 11:49:32 INFO - r10 = 0x0000000000000000 r11 = 0x0000000000000000
[task 2019-11-02T11:49:32.016Z] 11:49:32 INFO - r12 = 0x00007fffdbb27fb0 r13 = 0x00007fb240c4cf20
[task 2019-11-02T11:49:32.016Z] 11:49:32 INFO - r14 = 0x00007fb2421a4400 r15 = 0x00007fb240c4cf20
[task 2019-11-02T11:49:32.020Z] 11:49:32 INFO - rip = 0x00007fb248fc7533
[task 2019-11-02T11:49:32.020Z] 11:49:32 INFO - Found by: given as instruction pointer in context
[task 2019-11-02T11:49:32.020Z] 11:49:32 INFO - 1 libxul.so!nsGlobalWindowOuter::PostMessageMozOuter(JSContext*, JS::Handle<JS::Value>, nsTSubstring<char16_t> const&, JS::Handle<JS::Value>, nsIPrincipal&, mozilla::ErrorResult&) [nsGlobalWindowOuter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 6078 + 0xd]
[task 2019-11-02T11:49:32.021Z] 11:49:32 INFO - rbx = 0x00007fffdbb27ee0 rbp = 0x00007fffdbb27e90
[task 2019-11-02T11:49:32.021Z] 11:49:32 INFO - rsp = 0x00007fffdbb27d20 r12 = 0x00007fffdbb27fb0
[task 2019-11-02T11:49:32.022Z] 11:49:32 INFO - r13 = 0x00007fb240c4cf20 r14 = 0x0000000000000000
[task 2019-11-02T11:49:32.022Z] 11:49:32 INFO - r15 = 0x00007fb240c4cf20 rip = 0x00007fb248ff1e93
[task 2019-11-02T11:49:32.023Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.023Z] 11:49:32 INFO - 2 libxul.so!nsGlobalWindowInner::PostMessageMoz(JSContext*, JS::Handle<JS::Value>, nsTSubstring<char16_t> const&, mozilla::dom::Sequence<JSObject*> const&, nsIPrincipal&, mozilla::ErrorResult&) [nsGlobalWindowInner.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 3840 + 0x1f]
[task 2019-11-02T11:49:32.023Z] 11:49:32 INFO - rbx = 0x00007fffdbb27fb0 rbp = 0x00007fffdbb27f20
[task 2019-11-02T11:49:32.023Z] 11:49:32 INFO - rsp = 0x00007fffdbb27ea0 r12 = 0x00007fffdbb27ee8
[task 2019-11-02T11:49:32.023Z] 11:49:32 INFO - r13 = 0x00007fb2421a4400 r14 = 0x00007fffdbb27ee0
[task 2019-11-02T11:49:32.023Z] 11:49:32 INFO - r15 = 0x00007fffdbb28020 rip = 0x00007fb248fcba51
[task 2019-11-02T11:49:32.024Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.024Z] 11:49:32 INFO - 3 libxul.so!mozilla::dom::Window_Binding::postMessage(JSContext*, JS::Handle<JSObject*>, void*, JSJitMethodCallArgs const&) [WindowBinding.cpp: : 3436 + 0x44]
[task 2019-11-02T11:49:32.024Z] 11:49:32 INFO - rbx = 0x00007fb241f2d000 rbp = 0x00007fffdbb28180
[task 2019-11-02T11:49:32.024Z] 11:49:32 INFO - rsp = 0x00007fffdbb27f30 r12 = 0x00007fffdbb27ff8
[task 2019-11-02T11:49:32.024Z] 11:49:32 INFO - r13 = 0x00007fffdbb28200 r14 = 0x00007fffdbb27f90
[task 2019-11-02T11:49:32.025Z] 11:49:32 INFO - r15 = 0x00007fffdbb27f60 rip = 0x00007fb2499fc427
[task 2019-11-02T11:49:32.025Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.025Z] 11:49:32 INFO - 4 libxul.so!bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::CrossOriginThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) [BindingUtils.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 3218 + 0x1e]
[task 2019-11-02T11:49:32.025Z] 11:49:32 INFO - rbx = 0x0000000000000002 rbp = 0x00007fffdbb28240
[task 2019-11-02T11:49:32.025Z] 11:49:32 INFO - rsp = 0x00007fffdbb28190 r12 = 0x0000000000000001
[task 2019-11-02T11:49:32.026Z] 11:49:32 INFO - r13 = 0x0000000000000351 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.026Z] 11:49:32 INFO - r15 = 0x00007fb2502a5800 rip = 0x00007fb249d46f1f
[task 2019-11-02T11:49:32.026Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.026Z] 11:49:32 INFO - 5 libxul.so!CallJSNative(JSContext*, bool ()(JSContext, unsigned int, JS::Value*), js::CallReason, JS::CallArgs const&) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 456 + 0x12]
[task 2019-11-02T11:49:32.026Z] 11:49:32 INFO - rbx = 0x00007fb2412f5338 rbp = 0x00007fffdbb282a0
[task 2019-11-02T11:49:32.027Z] 11:49:32 INFO - rsp = 0x00007fffdbb28250 r12 = 0x00007fb23f8afc00
[task 2019-11-02T11:49:32.027Z] 11:49:32 INFO - r13 = 0x00007fffdbb28490 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.027Z] 11:49:32 INFO - r15 = 0x00007fb249d46d2a rip = 0x00007fb24bc729d2
[task 2019-11-02T11:49:32.027Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.028Z] 11:49:32 INFO - 6 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 548 + 0xb]
[task 2019-11-02T11:49:32.028Z] 11:49:32 INFO - rbx = 0xaaaaaaaaaaaaaaaa rbp = 0x00007fffdbb28350
[task 2019-11-02T11:49:32.029Z] 11:49:32 INFO - rsp = 0x00007fffdbb282b0 r12 = 0x0000000000000000
[task 2019-11-02T11:49:32.029Z] 11:49:32 INFO - r13 = 0x00007fffdbb28490 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.029Z] 11:49:32 INFO - r15 = 0x00007fffdbb282d0 rip = 0x00007fb24bc72228
[task 2019-11-02T11:49:32.029Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.030Z] 11:49:32 INFO - 7 libxul.so!Interpret(JSContext*, js::RunState&) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 621 + 0xa]
[task 2019-11-02T11:49:32.030Z] 11:49:32 INFO - rbx = 0x000008b155e2ec40 rbp = 0x00007fffdbb288e0
[task 2019-11-02T11:49:32.030Z] 11:49:32 INFO - rsp = 0x00007fffdbb28360 r12 = 0x00000000000000e7
[task 2019-11-02T11:49:32.031Z] 11:49:32 INFO - r13 = 0x0000000000000001 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.031Z] 11:49:32 INFO - r15 = 0x0000000000000000 rip = 0x00007fb24bc66f55
[task 2019-11-02T11:49:32.031Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.031Z] 11:49:32 INFO - 8 libxul.so!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 423 + 0xb]
[task 2019-11-02T11:49:32.032Z] 11:49:32 INFO - rbx = 0x000008b155e74e20 rbp = 0x00007fffdbb28940
[task 2019-11-02T11:49:32.032Z] 11:49:32 INFO - rsp = 0x00007fffdbb288f0 r12 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.032Z] 11:49:32 INFO - r13 = 0x00007fffdbb28ea0 r14 = 0x00007fffdbb28990
[task 2019-11-02T11:49:32.033Z] 11:49:32 INFO - r15 = 0x00007fffdbb289a8 rip = 0x00007fb24bc5cc31
[task 2019-11-02T11:49:32.033Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.033Z] 11:49:32 INFO - 9 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 589 + 0x8]
[task 2019-11-02T11:49:32.033Z] 11:49:32 INFO - rbx = 0xaaaaaaaaaaaaaaaa rbp = 0x00007fffdbb289f0
[task 2019-11-02T11:49:32.034Z] 11:49:32 INFO - rsp = 0x00007fffdbb28950 r12 = 0x00007fffdbb28970
[task 2019-11-02T11:49:32.034Z] 11:49:32 INFO - r13 = 0x00007fffdbb28ea0 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.034Z] 11:49:32 INFO - r15 = 0x00007fffdbb28970 rip = 0x00007fb24bc7224b
[task 2019-11-02T11:49:32.034Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.035Z] 11:49:32 INFO - 10 libxul.so!<name omitted> [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 634 + 0xb]
[task 2019-11-02T11:49:32.035Z] 11:49:32 INFO - rbx = 0x00007fffdbb28ea0 rbp = 0x00007fffdbb28a10
[task 2019-11-02T11:49:32.035Z] 11:49:32 INFO - rsp = 0x00007fffdbb28a00 r12 = 0x00007fb2412f5268
[task 2019-11-02T11:49:32.035Z] 11:49:32 INFO - r13 = 0x00007fffdbb28a50 r14 = 0x00007fb2412f5258
[task 2019-11-02T11:49:32.036Z] 11:49:32 INFO - r15 = 0x00007fb2412f5260 rip = 0x00007fb24bc73850
[task 2019-11-02T11:49:32.036Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.036Z] 11:49:32 INFO - 11 libxul.so!js::fun_apply(JSContext*, unsigned int, JS::Value*) [JSFunction.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 1188 + 0x2f]
[task 2019-11-02T11:49:32.037Z] 11:49:32 INFO - rbx = 0x00007fffdbb28a60 rbp = 0x00007fffdbb28f70
[task 2019-11-02T11:49:32.037Z] 11:49:32 INFO - rsp = 0x00007fffdbb28a20 r12 = 0x00007fb2412f5268
[task 2019-11-02T11:49:32.037Z] 11:49:32 INFO - r13 = 0x00007fffdbb28a50 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.037Z] 11:49:32 INFO - r15 = 0x00007fb2412f5260 rip = 0x00007fb24bf4c3ed
[task 2019-11-02T11:49:32.038Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.038Z] 11:49:32 INFO - 12 libxul.so!CallJSNative(JSContext*, bool ()(JSContext, unsigned int, JS::Value*), js::CallReason, JS::CallArgs const&) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 456 + 0x12]
[task 2019-11-02T11:49:32.038Z] 11:49:32 INFO - rbx = 0x00007fb2412f5278 rbp = 0x00007fffdbb28fd0
[task 2019-11-02T11:49:32.038Z] 11:49:32 INFO - rsp = 0x00007fffdbb28f80 r12 = 0x00007fb23f8afc00
[task 2019-11-02T11:49:32.038Z] 11:49:32 INFO - r13 = 0x00007fffdbb291c0 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.039Z] 11:49:32 INFO - r15 = 0x00007fb24bf4bfc0 rip = 0x00007fb24bc729d2
[task 2019-11-02T11:49:32.039Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.039Z] 11:49:32 INFO - 13 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct, js::CallReason) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 548 + 0xb]
[task 2019-11-02T11:49:32.039Z] 11:49:32 INFO - rbx = 0xaaaaaaaaaaaaaaaa rbp = 0x00007fffdbb29080
[task 2019-11-02T11:49:32.039Z] 11:49:32 INFO - rsp = 0x00007fffdbb28fe0 r12 = 0x0000000000000000
[task 2019-11-02T11:49:32.040Z] 11:49:32 INFO - r13 = 0x00007fffdbb291c0 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.040Z] 11:49:32 INFO - r15 = 0x00007fffdbb29000 rip = 0x00007fb24bc72228
[task 2019-11-02T11:49:32.040Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.040Z] 11:49:32 INFO - 14 libxul.so!Interpret(JSContext*, js::RunState&) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 621 + 0xa]
[task 2019-11-02T11:49:32.040Z] 11:49:32 INFO - rbx = 0x000008b155e2e140 rbp = 0x00007fffdbb29610
[task 2019-11-02T11:49:32.040Z] 11:49:32 INFO - rsp = 0x00007fffdbb29090 r12 = 0x000000000000004f
[task 2019-11-02T11:49:32.040Z] 11:49:32 INFO - r13 = 0x0000000000000001 r14 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.041Z] 11:49:32 INFO - r15 = 0x0000000000000000 rip = 0x00007fb24bc66f55
[task 2019-11-02T11:49:32.041Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.041Z] 11:49:32 INFO - 15 libxul.so!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 423 + 0xb]
[task 2019-11-02T11:49:32.041Z] 11:49:32 INFO - rbx = 0x000008b155e2a060 rbp = 0x00007fffdbb29670
[task 2019-11-02T11:49:32.041Z] 11:49:32 INFO - rsp = 0x00007fffdbb29620 r12 = 0x00007fb241f2d000
[task 2019-11-02T11:49:32.041Z] 11:49:32 INFO - r13 = 0x00007fb25047b198 r14 = 0x00007fffdbb296c0
[task 2019-11-02T11:49:32.042Z] 11:49:32 INFO - r15 = 0x00007fffdbb296d8 rip = 0x00007fb24bc5cc31
[task 2019-11-02T11:49:32.042Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.042Z] 11:49:32 INFO - 16 libxul.so!js::ExecuteKernel(JSContext*, JS::Handle<JSScript*>, JSObject&, JS::Value const&, js::AbstractFramePtr, JS::Value*) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 810 + 0xb]
[task 2019-11-02T11:49:32.043Z] 11:49:32 INFO - rbx = 0x00007fb241f2d000 rbp = 0x00007fffdbb29770
[task 2019-11-02T11:49:32.043Z] 11:49:32 INFO - rsp = 0x00007fffdbb29680 r12 = 0x00007fb25047b1c8
[task 2019-11-02T11:49:32.043Z] 11:49:32 INFO - r13 = 0x00007fb25047b198 r14 = 0x00007fffdbb296c0
[task 2019-11-02T11:49:32.044Z] 11:49:32 INFO - r15 = 0x00007fb25047b168 rip = 0x00007fb24bc750a5
[task 2019-11-02T11:49:32.044Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.044Z] 11:49:32 INFO - 17 libxul.so!js::Execute(JSContext*, JS::Handle<JSScript*>, JSObject&, JS::Value*) [Interpreter.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 843 + 0x28]
[task 2019-11-02T11:49:32.044Z] 11:49:32 INFO - rbx = 0x0000000000000000 rbp = 0x00007fffdbb297f0
[task 2019-11-02T11:49:32.045Z] 11:49:32 INFO - rsp = 0x00007fffdbb29780 r12 = 0x00007fffdbb297b0
[task 2019-11-02T11:49:32.045Z] 11:49:32 INFO - r13 = 0x00007fb241f2d000 r14 = 0x00007fffdbb297b8
[task 2019-11-02T11:49:32.045Z] 11:49:32 INFO - r15 = 0x00007fffdbb29850 rip = 0x00007fb24bc756fd
[task 2019-11-02T11:49:32.046Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.046Z] 11:49:32 INFO - 18 libxul.so!ExecuteScript(JSContext*, JS::Handle<JSObject*>, JS::Handle<JSScript*>, JS::Value*) [CompilationAndEvaluation.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 453 + 0x12]
[task 2019-11-02T11:49:32.046Z] 11:49:32 INFO - rbx = 0x00007fb241f2d000 rbp = 0x00007fffdbb29830
[task 2019-11-02T11:49:32.046Z] 11:49:32 INFO - rsp = 0x00007fffdbb29800 r12 = 0x00007fffdbb29840
[task 2019-11-02T11:49:32.047Z] 11:49:32 INFO - r13 = 0x00007fffdbb29878 r14 = 0x0000000000000000
[task 2019-11-02T11:49:32.047Z] 11:49:32 INFO - r15 = 0x00007fffdbb29860 rip = 0x00007fb24be43237
[task 2019-11-02T11:49:32.047Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.047Z] 11:49:32 INFO - 19 libxul.so!ExecuteScript(JSContext*, JS::Handle<JS::StackGCVector<JSObject*, js::TempAllocPolicy> >, JS::Handle<JSScript*>, JS::Value*) [CompilationAndEvaluation.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 473 + 0xf]
[task 2019-11-02T11:49:32.047Z] 11:49:32 INFO - rbx = 0x00007fb241f2d000 rbp = 0x00007fffdbb298c0
[task 2019-11-02T11:49:32.047Z] 11:49:32 INFO - rsp = 0x00007fffdbb29840 r12 = 0x00007fffdbb29840
[task 2019-11-02T11:49:32.048Z] 11:49:32 INFO - r13 = 0x00007fffdbb29878 r14 = 0x0000000000000000
[task 2019-11-02T11:49:32.048Z] 11:49:32 INFO - r15 = 0x00007fffdbb29860 rip = 0x00007fb24be4369e
[task 2019-11-02T11:49:32.048Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.048Z] 11:49:32 INFO - 20 libxul.so!nsJSUtils::ExecutionContext::ExecScript() [nsJSUtils.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 416 + 0xd]
[task 2019-11-02T11:49:32.048Z] 11:49:32 INFO - rbx = 0x00007fffdbb29b10 rbp = 0x00007fffdbb298e0
[task 2019-11-02T11:49:32.048Z] 11:49:32 INFO - rsp = 0x00007fffdbb298d0 r12 = 0x00007fffdbb29928
[task 2019-11-02T11:49:32.049Z] 11:49:32 INFO - r13 = 0x00007fffdbb29b10 r14 = 0x00007fffdbb29b10
[task 2019-11-02T11:49:32.049Z] 11:49:32 INFO - r15 = 0x00007fffdbb29938 rip = 0x00007fb2491b2eaa
[task 2019-11-02T11:49:32.049Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.050Z] 11:49:32 INFO - 21 libxul.so!mozilla::dom::ExecuteCompiledScript(JSContext*, mozilla::dom::ScriptLoadRequest*, nsJSUtils::ExecutionContext&) [ScriptLoader.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 2610 + 0x8]
[task 2019-11-02T11:49:32.050Z] 11:49:32 INFO - rbx = 0x00007fb24207cbe0 rbp = 0x00007fffdbb29970
[task 2019-11-02T11:49:32.050Z] 11:49:32 INFO - rsp = 0x00007fffdbb298f0 r12 = 0x00007fffdbb29928
[task 2019-11-02T11:49:32.051Z] 11:49:32 INFO - r13 = 0x00007fffdbb29b10 r14 = 0x00007fffdbb29b10
[task 2019-11-02T11:49:32.051Z] 11:49:32 INFO - r15 = 0x00007fffdbb29938 rip = 0x00007fb24a8f0f70
[task 2019-11-02T11:49:32.051Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.051Z] 11:49:32 INFO - 22 libxul.so!mozilla::dom::ScriptLoader::EvaluateScript(mozilla::dom::ScriptLoadRequest*) [ScriptLoader.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 2834 + 0x12]
[task 2019-11-02T11:49:32.052Z] 11:49:32 INFO - rbx = 0x00007fffdbb29b10 rbp = 0x00007fffdbb29da0
[task 2019-11-02T11:49:32.052Z] 11:49:32 INFO - rsp = 0x00007fffdbb29980 r12 = 0x00007fb2420a2ae0
[task 2019-11-02T11:49:32.052Z] 11:49:32 INFO - r13 = 0x00007fffdbb29b10 r14 = 0x0000000000000000
[task 2019-11-02T11:49:32.053Z] 11:49:32 INFO - r15 = 0x0000000000000000 rip = 0x00007fb24a8efe4b
[task 2019-11-02T11:49:32.053Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.053Z] 11:49:32 INFO - 23 libxul.so!mozilla::dom::ScriptLoader::ProcessRequest(mozilla::dom::ScriptLoadRequest*) [ScriptLoader.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 2309 + 0xb]
[task 2019-11-02T11:49:32.053Z] 11:49:32 INFO - rbx = 0x0000000000000001 rbp = 0x00007fffdbb29e20
[task 2019-11-02T11:49:32.053Z] 11:49:32 INFO - rsp = 0x00007fffdbb29db0 r12 = 0x00007fffdbb29de8
[task 2019-11-02T11:49:32.054Z] 11:49:32 INFO - r13 = 0x00007fb2420a2ae0 r14 = 0x00007fb2420681a0
[task 2019-11-02T11:49:32.054Z] 11:49:32 INFO - r15 = 0x00007fb2420a2b28 rip = 0x00007fb24a8ed2ac
[task 2019-11-02T11:49:32.055Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.055Z] 11:49:32 INFO - 24 libxul.so!mozilla::dom::ScriptLoader::ProcessInlineScript(nsIScriptElement*, mozilla::dom::ScriptKind) [ScriptLoader.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 1858 + 0xf]
[task 2019-11-02T11:49:32.055Z] 11:49:32 INFO - rbx = 0x0000000000000000 rbp = 0x00007fffdbb29f30
[task 2019-11-02T11:49:32.056Z] 11:49:32 INFO - rsp = 0x00007fffdbb29e30 r12 = 0x00007fb2420681a0
[task 2019-11-02T11:49:32.056Z] 11:49:32 INFO - r13 = 0x00007fb242085d48 r14 = 0x00007fffdbb29e60
[task 2019-11-02T11:49:32.056Z] 11:49:32 INFO - r15 = 0x00007fb2420a2ae0 rip = 0x00007fb24a8ec14d
[task 2019-11-02T11:49:32.056Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.057Z] 11:49:32 INFO - 25 libxul.so!mozilla::dom::ScriptLoader::ProcessScriptElement(nsIScriptElement*) [ScriptLoader.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 1581 + 0xd]
[task 2019-11-02T11:49:32.057Z] 11:49:32 INFO - rbx = 0x0000000000000000 rbp = 0x00007fffdbb2a220
[task 2019-11-02T11:49:32.057Z] 11:49:32 INFO - rsp = 0x00007fffdbb29f40 r12 = 0x00000000dbb2a000
[task 2019-11-02T11:49:32.058Z] 11:49:32 INFO - r13 = 0x00007fb2420681a0 r14 = 0x00007fb242085d48
[task 2019-11-02T11:49:32.058Z] 11:49:32 INFO - r15 = 0x00000000dbb2a000 rip = 0x00007fb24a8e07a6
[task 2019-11-02T11:49:32.058Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.058Z] 11:49:32 INFO - 26 libxul.so!mozilla::dom::ScriptElement::MaybeProcessScript() [ScriptElement.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 118 + 0x13]
[task 2019-11-02T11:49:32.058Z] 11:49:32 INFO - rbx = 0x00007fb242067000 rbp = 0x00007fffdbb2a280
[task 2019-11-02T11:49:32.059Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a230 r12 = 0x00007fffdbb2a230
[task 2019-11-02T11:49:32.059Z] 11:49:32 INFO - r13 = 0xaaaaaaaaaaaaaaaa r14 = 0x00007fffdbb2a238
[task 2019-11-02T11:49:32.060Z] 11:49:32 INFO - r15 = 0x00007fb242085d48 rip = 0x00007fb24a8e0245
[task 2019-11-02T11:49:32.060Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.060Z] 11:49:32 INFO - 27 libxul.so!nsHtml5TreeOpExecutor::RunScript(nsIContent*) [nsHtml5TreeOpExecutor.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 729 + 0x18]
[task 2019-11-02T11:49:32.060Z] 11:49:32 INFO - rbx = 0x00007fb242085d48 rbp = 0x00007fffdbb2a2d0
[task 2019-11-02T11:49:32.060Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a290 r12 = 0x00007fb2421a2c00
[task 2019-11-02T11:49:32.060Z] 11:49:32 INFO - r13 = 0x0000000000000000 r14 = 0x00007fb242085d48
[task 2019-11-02T11:49:32.061Z] 11:49:32 INFO - r15 = 0x00007fb2421a4aa8 rip = 0x00007fb248b7f7ee
[task 2019-11-02T11:49:32.061Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.061Z] 11:49:32 INFO - 28 libxul.so!nsHtml5TreeOpExecutor::RunFlushLoop() [nsHtml5TreeOpExecutor.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 532 + 0x8]
[task 2019-11-02T11:49:32.061Z] 11:49:32 INFO - rbx = 0x00007fb2421a2c00 rbp = 0x00007fffdbb2a380
[task 2019-11-02T11:49:32.061Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a2e0 r12 = 0x00007fffdbb2a300
[task 2019-11-02T11:49:32.061Z] 11:49:32 INFO - r13 = 0x00007fffdbb2a31e r14 = 0x00007fffdbb2a31f
[task 2019-11-02T11:49:32.062Z] 11:49:32 INFO - r15 = 0x00007fb2421a4aa8 rip = 0x00007fb248b7ddaa
[task 2019-11-02T11:49:32.062Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.062Z] 11:49:32 INFO - 29 libxul.so!nsHtml5ExecutorReflusher::Run() [nsHtml5TreeOpExecutor.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 70 + 0x10]
[task 2019-11-02T11:49:32.062Z] 11:49:32 INFO - rbx = 0x00007fb242036e80 rbp = 0x00007fffdbb2a3d0
[task 2019-11-02T11:49:32.063Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a390 r12 = 0x0000000000000001
[task 2019-11-02T11:49:32.063Z] 11:49:32 INFO - r13 = 0x00000000ffffffff r14 = 0x00007fb242067000
[task 2019-11-02T11:49:32.063Z] 11:49:32 INFO - r15 = 0x00007fb242036e98 rip = 0x00007fb248b83419
[task 2019-11-02T11:49:32.063Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.063Z] 11:49:32 INFO - 30 libxul.so!mozilla::SchedulerGroup::Runnable::Run() [SchedulerGroup.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 295 + 0x15]
[task 2019-11-02T11:49:32.064Z] 11:49:32 INFO - rbx = 0x00007fb24083e180 rbp = 0x00007fffdbb2a400
[task 2019-11-02T11:49:32.064Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a3e0 r12 = 0x0000000000000001
[task 2019-11-02T11:49:32.064Z] 11:49:32 INFO - r13 = 0x00000000ffffffff r14 = 0x00007fb25a6567a0
[task 2019-11-02T11:49:32.064Z] 11:49:32 INFO - r15 = 0x00007fb24083e1a0 rip = 0x00007fb247f9a29e
[task 2019-11-02T11:49:32.064Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.065Z] 11:49:32 INFO - 31 libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 1225 + 0x11]
[task 2019-11-02T11:49:32.065Z] 11:49:32 INFO - rbx = 0x00007fffdbb2a458 rbp = 0x00007fffdbb2a520
[task 2019-11-02T11:49:32.065Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a410 r12 = 0x0000000000000001
[task 2019-11-02T11:49:32.066Z] 11:49:32 INFO - r13 = 0x00000000ffffffff r14 = 0x00007fb25a6567a0
[task 2019-11-02T11:49:32.066Z] 11:49:32 INFO - r15 = 0x00007fb25a656878 rip = 0x00007fb247fad670
[task 2019-11-02T11:49:32.066Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.067Z] 11:49:32 INFO - 32 libxul.so!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 486 + 0xc]
[task 2019-11-02T11:49:32.067Z] 11:49:32 INFO - rbx = 0x0000000000000000 rbp = 0x00007fffdbb2a550
[task 2019-11-02T11:49:32.068Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a530 r12 = 0x0000000000000001
[task 2019-11-02T11:49:32.068Z] 11:49:32 INFO - r13 = 0x00007fb25a695cb0 r14 = 0x00007fffdbb2a537
[task 2019-11-02T11:49:32.068Z] 11:49:32 INFO - r15 = 0x0000000000000001 rip = 0x00007fb247fb0311
[task 2019-11-02T11:49:32.069Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.069Z] 11:49:32 INFO - 33 libxul.so!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) [MessagePump.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 88 + 0x7]
[task 2019-11-02T11:49:32.070Z] 11:49:32 INFO - rbx = 0x00007fb25a695c90 rbp = 0x00007fffdbb2a5b0
[task 2019-11-02T11:49:32.070Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a560 r12 = 0x0000000000000001
[task 2019-11-02T11:49:32.070Z] 11:49:32 INFO - r13 = 0x00007fb25a695cb0 r14 = 0x00007fffdbb2a718
[task 2019-11-02T11:49:32.071Z] 11:49:32 INFO - r15 = 0x0000000000000001 rip = 0x00007fb248540002
[task 2019-11-02T11:49:32.071Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.071Z] 11:49:32 INFO - 34 libxul.so!MessageLoop::Run() [message_loop.cc:7615639a6ca7cad0078a854e1331d7a58444619a : 290 + 0x8]
[task 2019-11-02T11:49:32.072Z] 11:49:32 INFO - rbx = 0x00007fffdbb2a718 rbp = 0x00007fffdbb2a5f0
[task 2019-11-02T11:49:32.072Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a5c0 r12 = 0x00007fb25a6db000
[task 2019-11-02T11:49:32.072Z] 11:49:32 INFO - r13 = 0x00007fffdbb2bb58 r14 = 0x00007fffdbb2a5c0
[task 2019-11-02T11:49:32.073Z] 11:49:32 INFO - r15 = 0x0000000000003f42 rip = 0x00007fb2484f40c3
[task 2019-11-02T11:49:32.073Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.074Z] 11:49:32 INFO - 35 libxul.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 137 + 0xd]
[task 2019-11-02T11:49:32.074Z] 11:49:32 INFO - rbx = 0x00007fb2420dd890 rbp = 0x00007fffdbb2a610
[task 2019-11-02T11:49:32.074Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a600 r12 = 0x00007fb25a6db000
[task 2019-11-02T11:49:32.075Z] 11:49:32 INFO - r13 = 0x00007fffdbb2bb58 r14 = 0x00007fb25a6567a0
[task 2019-11-02T11:49:32.075Z] 11:49:32 INFO - r15 = 0x0000000000003f42 rip = 0x00007fb24aa60e7b
[task 2019-11-02T11:49:32.076Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.076Z] 11:49:32 INFO - 36 libxul.so!XRE_RunAppShell() [nsEmbedFunctions.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 934 + 0xe]
[task 2019-11-02T11:49:32.076Z] 11:49:32 INFO - rbx = 0x00007fffdbb2a620 rbp = 0x00007fffdbb2a640
[task 2019-11-02T11:49:32.077Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a620 r12 = 0x00007fb25a6db000
[task 2019-11-02T11:49:32.077Z] 11:49:32 INFO - r13 = 0x00007fffdbb2bb58 r14 = 0x0000000000000000
[task 2019-11-02T11:49:32.077Z] 11:49:32 INFO - r15 = 0x0000000000003f42 rip = 0x00007fb24bb7edf8
[task 2019-11-02T11:49:32.078Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.078Z] 11:49:32 INFO - 37 libxul.so!mozilla::ipc::MessagePumpForChildProcess::Run(base::MessagePump::Delegate*) [MessagePump.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 238 + 0x5]
[task 2019-11-02T11:49:32.079Z] 11:49:32 INFO - rbx = 0x00007fffdbb2a718 rbp = 0x00007fffdbb2a670
[task 2019-11-02T11:49:32.079Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a650 r12 = 0x00007fb25a6db000
[task 2019-11-02T11:49:32.079Z] 11:49:32 INFO - r13 = 0x00007fffdbb2bb58 r14 = 0x00007fb25a695c90
[task 2019-11-02T11:49:32.080Z] 11:49:32 INFO - r15 = 0x0000000000003f42 rip = 0x00007fb24854058d
[task 2019-11-02T11:49:32.080Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.080Z] 11:49:32 INFO - 38 libxul.so!MessageLoop::Run() [message_loop.cc:7615639a6ca7cad0078a854e1331d7a58444619a : 290 + 0x8]
[task 2019-11-02T11:49:32.081Z] 11:49:32 INFO - rbx = 0x00007fffdbb2a718 rbp = 0x00007fffdbb2a6b0
[task 2019-11-02T11:49:32.081Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a680 r12 = 0x00007fb25a6db000
[task 2019-11-02T11:49:32.082Z] 11:49:32 INFO - r13 = 0x00007fffdbb2bb58 r14 = 0x00007fffdbb2a680
[task 2019-11-02T11:49:32.082Z] 11:49:32 INFO - r15 = 0x0000000000003f42 rip = 0x00007fb2484f40c3
[task 2019-11-02T11:49:32.082Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.083Z] 11:49:32 INFO - 39 libxul.so!XRE_InitChildProcess(int, char**, XREChildData const*) [nsEmbedFunctions.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 769 + 0x5]
[task 2019-11-02T11:49:32.083Z] 11:49:32 INFO - rbx = 0x0000000000000001 rbp = 0x00007fffdbb2a9b0
[task 2019-11-02T11:49:32.084Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a6c0 r12 = 0x00007fb25a6db000
[task 2019-11-02T11:49:32.084Z] 11:49:32 INFO - r13 = 0x00007fffdbb2bb58 r14 = 0x0000000080004005
[task 2019-11-02T11:49:32.084Z] 11:49:32 INFO - r15 = 0x0000000000003f42 rip = 0x00007fb24bb7ea61
[task 2019-11-02T11:49:32.085Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.085Z] 11:49:32 INFO - 40 firefox-bin!content_process_main(mozilla::Bootstrap*, int, char**) [plugin-container.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 56 + 0x11]
[task 2019-11-02T11:49:32.085Z] 11:49:32 INFO - rbx = 0x0000000000000013 rbp = 0x00007fffdbb2a9f0
[task 2019-11-02T11:49:32.086Z] 11:49:32 INFO - rsp = 0x00007fffdbb2a9c0 r12 = 0x00007fffdbb2a9c0
[task 2019-11-02T11:49:32.086Z] 11:49:32 INFO - r13 = 0x000004ca48c885d6 r14 = 0x00007fffdbb2bb58
[task 2019-11-02T11:49:32.086Z] 11:49:32 INFO - r15 = 0x00007fb25a62f720 rip = 0x0000558528d36cbe
[task 2019-11-02T11:49:32.087Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.087Z] 11:49:32 INFO - 41 firefox-bin!main [nsBrowserApp.cpp:7615639a6ca7cad0078a854e1331d7a58444619a : 272 + 0x19]
[task 2019-11-02T11:49:32.088Z] 11:49:32 INFO - rbx = 0x00007fffdbb2aa40 rbp = 0x00007fffdbb2ba70
[task 2019-11-02T11:49:32.088Z] 11:49:32 INFO - rsp = 0x00007fffdbb2aa00 r12 = 0x00007fffdbb2bb58
[task 2019-11-02T11:49:32.088Z] 11:49:32 INFO - r13 = 0x000004ca48c885d6 r14 = 0x0000000000000014
[task 2019-11-02T11:49:32.089Z] 11:49:32 INFO - r15 = 0x0000558528de1628 rip = 0x0000558528d36fcb
[task 2019-11-02T11:49:32.089Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.090Z] 11:49:32 INFO - 42 libc-2.23.so + 0x20830
[task 2019-11-02T11:49:32.090Z] 11:49:32 INFO - rbx = 0x0000000000000000 rbp = 0x0000558528db8650
[task 2019-11-02T11:49:32.090Z] 11:49:32 INFO - rsp = 0x00007fffdbb2ba80 r12 = 0x0000558528d36b44
[task 2019-11-02T11:49:32.090Z] 11:49:32 INFO - r13 = 0x00007fffdbb2bb50 r14 = 0x0000000000000000
[task 2019-11-02T11:49:32.090Z] 11:49:32 INFO - r15 = 0x0000000000000000 rip = 0x00007fb25a88e830
[task 2019-11-02T11:49:32.090Z] 11:49:32 INFO - Found by: call frame info
[task 2019-11-02T11:49:32.091Z] 11:49:32 INFO - 43 firefox-bin!<name omitted> [UniquePtr.h:7615639a6ca7cad0078a854e1331d7a58444619a : 274 + 0x17]
[task 2019-11-02T11:49:32.091Z] 11:49:32 INFO - rsp = 0x00007fffdbb2baa0 rip = 0x0000558528d36d01
[task 2019-11-02T11:49:32.091Z] 11:49:32 INFO - Found by: stack scanning

Tom please take a look.

Flags: needinfo?(ttung)

When we hit this assertion, it means either we somehow cannot get the contentChild or we don't run COOP COEP in a webCOOP+COEP process. I will look into it more.

Assignee: nobody → ttung
Status: NEW → ASSIGNED
Flags: needinfo?(ttung)
Priority: -- → P3

Apply the change on try locally, for some reasons it cannot get the ContentChild. And thus, why we hit the assertion. Based on that, I'm pretty sure it's not related to bug 1562667. I'll look into it more.

Well, actual, we have ContentChild but the remote type is "web" rather than "webCOOP+COEP='.

No longer regressed by: 1562667

Hi Valentin,

This test hits the assertion while merging it to Beta because of the remote type for the running process is "web" rather than "webCOOP+COEP=". Is there any pref I need to turn on?

Note that if we are at [1], it implies that the bc->Top()->GetOpenerPolicy() ==nsILoadInfo::OPENER_POLICY_SAME_ORIGIN_EMBEDDER_POLICY_REQUIRE_CORP.

(I have truned on browser.tabs.remote.useCrossOriginOpenerPolicy (true) browser.tabs.remote.useCrossOriginEmbedderPolicy(true))

[1] https://searchfox.org/mozilla-central/rev/35873cfc312a6285f54aa5e4ec2d4ab911157522/dom/base/nsGlobalWindowInner.cpp#2423-2424

Flags: needinfo?(valentin.gosu)
See Also: → 1579992
Blocks: 1593453

It looks like regressed by 1588412. Maybe?

Assignee: ttung → nobody
Status: ASSIGNED → NEW

Pushlog between 2019-11-01 and 2019-11-02's central-as-beta simulations: https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=7449a8c1f27bf1c6c1f7ecce1294f1095579ecbf&tochange=8aa8ed80ea4325031cd613b5f85a3d694231c2ba

This failed before bug 1562667 landed:
TEST-UNEXPECTED-TIMEOUT | /html/infrastructure/safe-passing-of-structured-data/shared-array-buffers/window-serviceworker-failure.https.html | SharedArrayBuffer cannot cross agent clusters, service worker edition - Test timed out
=> Tracked in bug 1593526

central-as-beta simulation based on https://hg.mozilla.org/integration/autoland/rev/87443484a46af1eca23f465b6d9bfedfa8d82a20 (parent commit of 'Bug 1562667 - P3 - Check remoteType in IsCrossOriginIsolated'):
https://treeherder.mozilla.org/#/jobs?repo=try&selectedJob=274384188&searchStr=linux%2Casan%2Cwpt16&revision=a806d4a3b42bb7fe596226ca966037bbe5e32159

central-as-beta simulation based on https://hg.mozilla.org/integration/autoland/rev/9c6b97228f0ab3d63990ee91f0b06742a71988fa ('Bug 1562667 - P3 - Check remoteType in IsCrossOriginIsolated'):
https://treeherder.mozilla.org/#/jobs?repo=try&searchStr=linux%2Casan%2Cwpt16&revision=94cd50aa22992f11ca4ce9e370e16cbfd4d642d1&selectedJob=274384238

That has many more SAB failures, e.g.
TEST-UNEXPECTED-FAIL | /html/infrastructure/safe-passing-of-structured-data/shared-array-buffers/identity-not-preserved.https.html | postMessaging to this window does not give back the same SharedArrayBuffer (but does use the same backing block) - The SharedArrayBuffer object cannot be serialized. The Cross-Origin-Opener-Policy and Cross-Origin-Embedder-Policy HTTP headers will enable this in the future.

Can you update the test expectations where the test attempts to use SAB but it is not enabled.

Flags: needinfo?(ttung)

(In reply to Sebastian Hengst [:aryx] (needinfo on intermittent or backout) from comment #5)
P3 ensures the process remote type by an assertion. So, if the process remote type doesn't work expectedly, then it would fail

(In reply to Sebastian Hengst [:aryx] (needinfo on intermittent or backout) from comment #6)

Can you update the test expectations where the test attempts to use SAB but it is not enabled.

Sure, I'll disable the SAB wpt test on Beta and reenable it after the follow-up bug for bug 1588412 is fixed.

Flags: needinfo?(ttung)

For some reasons, the remote type doesn't support on Beta and Release Channels.
Disable the wpt tests for now, and will reenable them after suspicious bug is
fixed.

I suspect Bug 1588412 leads the remote type incorrect.

Regressions: 1588412

Changing the priority to p2 as the bug is tracked by a release manager for the current nightly.
See What Do You Triage for more information

Priority: P3 → P2

Nika's comment in D51633 answer my question

Flags: needinfo?(valentin.gosu)
Blocks: resab
Pushed by ttung@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7ff4a4f0f949
Disable wpt tests for SAB in Beta and Release; r=nika
See Also: → 1593435

Bugbug thinks this bug is a regression, but please revert this change in case of error.

Keywords: regression
Status: NEW → RESOLVED
Closed: 8 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla72
See Also: → 1593526
You need to log in before you can comment on or make changes to this bug.